<?xml version="1.0" encoding="GB2312"?>
<Config>
    <FacesrEnbale>1</FacesrEnbale>
    <PlatformInfo>HISI</PlatformInfo>
    <UseFaceSR>0</UseFaceSR>
    <UseFaceSRBokeh>1</UseFaceSRBokeh>  <!-- facesr switch for Bokeh -->
    <OneFaceSR>0</OneFaceSR>            <!-- 1:Only one face for FaceSR -->
    <OneScaleT>1.5</OneScaleT>          <!-- The threshold between the first two faces -->
    <MinFaceSize>10</MinFaceSize>      <!-- <MinFaceArea>120000</MInFaceArea> -->
    <MaxFaceSize>8000</MaxFaceSize>     <!-- <MaxFaceArea>1920000</MaxFaceArea> -->
    <FaceRatio>1.334</FaceRatio>
    <MaxFaceTime>1500</MaxFaceTime>
    <ISOLimit>640</ISOLimit>
    <CalcMethod>0</CalcMethod>          <!-- 0 represents for running on mobiles£»1 represents for running on server-->
    <ipuSubfix>.om</ipuSubfix>
    <Network2x>idndeblur_5432_26000</Network2x>
    <Weights2x>idndeblur_5432_26000</Weights2x>
    <Network4xLow>idndeblur_5432_26000</Network4xLow>
    <Weights4xLow>idndeblur_5432_26000</Weights4xLow>
    <Network4xHigh>idndeblur_5432_26000</Network4xHigh>
    <Weights4xHigh>idndeblur_5432_26000</Weights4xHigh>
    <TransitionRatio>0.2</TransitionRatio>
    <FacePrejudgeRatio>0.0</FacePrejudgeRatio>
    <DetDarkFace>0</DetDarkFace>
    <TopHistNum>5</TopHistNum>
    <TopAvgThresh>45</TopAvgThresh>

    <useConvertColor>0</useConvertColor>
    <usefaceparsing>1</usefaceparsing>
    <faceParsingNetName>/vendor/etc/camera/semantic/model/human/new_parsing_cache</faceParsingNetName>
    <faceParsingNetInC>3</faceParsingNetInC>
    <faceParsingNetInH>256</faceParsingNetInH>
    <faceParsingNetInW>256</faceParsingNetInW>
    <faceParsingNetOutC>16</faceParsingNetOutC>
    <faceParsingNetOutH>256</faceParsingNetOutH>
    <faceParsingNetOutW>256</faceParsingNetOutW>
    <faceParsingNet>
        <nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
        <tensorDataType>1</tensorDataType> <!-- 1 stands for NN_DT_FP32, 4 stands for NN_DT_UINT8, 5 stands for NN_DT_INT16, default is 1 -->
        <tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
    </faceParsingNet>
    <pasingNetNeedSubNorm>0</pasingNetNeedSubNorm>
    <useInLandMark>1</useInLandMark>
    <isBypassMultiFace>0</isBypassMultiFace>
    <maxLongEdge>4000</maxLongEdge>
    <maxShortEdge>3000</maxShortEdge>
    <maxIso>33000</maxIso> <!-- MAX iso supportted. when iso > maxIso, network is closed. -->
    <isFacesrBypassGPU>1</isFacesrBypassGPU> <!-- Bypass AIX eng for facesrNet -->
    <facesrNet>
        <tensorBufType>0</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
        <nnUsage>0</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
        <tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
        <depthToSpaceInCPU>1</depthToSpaceInCPU> <!-- Do depthToSpaceInCPU in CPU, default is 0 output-->
        <spaceToDepthInCPU>1</spaceToDepthInCPU> <!-- Do spaceToDepthInCPU in CPU, default is 1 input-->
        <spaceToDepthRatio>2</spaceToDepthRatio>
        <netInputNorm>0</netInputNorm>
    </facesrNet>
    <superFacesrNetFront>
        <SuperFacesrEnable>1</SuperFacesrEnable>
        <useNoiseInput>1</useNoiseInput> <!-- net use noise input with superface, default is 0 -->
        <noiseNum>256</noiseNum><!-- superface noise dimension -->
        <netUseParseIn>1</netUseParseIn>
        <parseOneHotCh>9</parseOneHotCh>
        <parseConvert>1</parseConvert>
        <parseOnehot>1</parseOnehot>
        <onlyPortrait>1</onlyPortrait>
        <reproduceMask>1</reproduceMask>
        <blurHairMask>1</blurHairMask>
        <skipMdsr>1</skipMdsr>
        <skipFusionErosion>1</skipFusionErosion>
        <faceUsmsharpen>
            <enableUsm>1</enableUsm>
            <radius>5</radius>
            <sigma>5</sigma>
            <amount>40</amount>
            <ThLow>0</ThLow>
            <ThHigh>8</ThHigh>
            <minFaceSize>550</minFaceSize>
        </faceUsmsharpen>
        <bgUsmsharpen>
            <enableUsm>0</enableUsm>
            <radius>5</radius>
            <sigma>5</sigma>
            <amount>200</amount>
            <ThLow>5</ThLow>
            <ThHigh>20</ThHigh>
        </bgUsmsharpen>
        
        <bgNoiseback>0</bgNoiseback>
        <!-- setting below will modify global setting outside -->
        <maxLongEdge>5000</maxLongEdge>
        <minShortEdge>300</minShortEdge>
        <processBeforeDZ>0</processBeforeDZ>
        <minAge>0</minAge>
        <onlyGroupPortrait>0</onlyGroupPortrait>
        <mainLvThrd>-50</mainLvThrd>
        <quadLvThrd>-50</quadLvThrd>
        <amplifyFaceThrdLv>40</amplifyFaceThrdLv>
        <amplifyFaceThrdRatio>1</amplifyFaceThrdRatio>
        <fusionAreaRatio>0.75</fusionAreaRatio>
        <fusionBordRatio>0.1</fusionBordRatio>
        <maxFaceAngle>45</maxFaceAngle>
        <ISOLimit>33000</ISOLimit>
        <maxZoomRatioLimit>2.4</maxZoomRatioLimit>
        <netName>/vendor/etc/camera/cnnmodel/facesr/facesr_superface_front</netName>
        <tensorBufType>0</tensorBufType>
        <nnUsage>0</nnUsage>
        <tensorDataType>0</tensorDataType>
        <depthToSpaceInCPU>1</depthToSpaceInCPU> <!-- Do depthToSpaceInCPU in CPU, default is 0 output-->
        <spaceToDepthInCPU>1</spaceToDepthInCPU> <!-- Do spaceToDepthInCPU in CPU, default is 1 input-->
        <spaceToDepthRatio>2</spaceToDepthRatio>
        <segmentW>256</segmentW>
        <segmentH>256</segmentH>
        <minEdgeAfterCrop>300</minEdgeAfterCrop>
        <padding>8</padding>
        <ipuSubfix>.om</ipuSubfix>
        <faceQlt> <!-- definition same as Tele faceQlt -->
        <netName>/odm/etc/camera/cnnmodel/facesr/face_quality</netName>
            <enableQlt>0</enableQlt> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
            <FaceQltTh>0.383</FaceQltTh> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
            <FaceQltFaceMaskTh>0.5</FaceQltFaceMaskTh> <!--when FaceQltFaceMaskTh faceQlt from net > FaceQltFaceMaskTh, will run facesr.-->
            <FaceQltThQuad>0.4</FaceQltThQuad>
            <FaceQltFaceMaskThQuad>0.5</FaceQltFaceMaskThQuad>
            <maskBeginRatio>0.2</maskBeginRatio>
            <maskEndRatio>0.6</maskEndRatio>
            <tensorBufType>0</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
            <nnUsage>0</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
            <tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
            <netInCh>2</netInCh>
            <netInH>224</netInH>
            <netInW>224</netInW>
            <netOutCh>2</netOutCh>
            <netOutH>1</netOutH>
            <netOutW>1</netOutW>
        </faceQlt>
        <inputQuantParam>
            <scale>1</scale>
            <shift>0</shift>
        </inputQuantParam>
        <outputQuantParam>
            <scale>1</scale>
            <shift>0</shift>
        </outputQuantParam>
        <parseQuantParam>
            <scale>1</scale>
            <shift>0</shift>
        </parseQuantParam>
        <noiseQuantParam>
            <scale>1</scale>
            <shift>0</shift>
        </noiseQuantParam>
        <addGrainNoiseParams>
            <enable>0</enable>
            <datFileName>/odm/etc/camera/facesr/grain_noise/grain_noise_dat_1000</datFileName>
            <datShape>1000</datShape> 
            <amount>0.3</amount>
            <minFaceSize>100</minFaceSize>
            <maxFaceSize>4000</maxFaceSize>
        </addGrainNoiseParams>
        <superfaceFaceLvBlendParams>
            <enable>1</enable>
            <SECTION>   0.2     0.5   </SECTION>
            <WEIGHTS>   0.4     0.7 </WEIGHTS>
        </superfaceFaceLvBlendParams>
        <superfaceBlendParams>
            <enable>1</enable>
            <alpha>1</alpha>
        </superfaceBlendParams>
    </superFacesrNetFront>
</Config>